Bug 110185 - firstboot needs a no X11/runlevel 3
firstboot needs a no X11/runlevel 3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-16 10:09 EST by J. J. Ramsey
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 12:24:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J. J. Ramsey 2003-11-16 10:09:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
A little background first. Red Hat recently "fixed" *cough* its
anaconda installer so that one has no choice but to boot into runlevel
5. Hopefully, the Red Hat developers will come to their senses on this
issue, and if they do, a version of firstboot is going to be needed
that  will run in text mode at runlevel 3 if at install the user
chooses not to have a graphical login.


Version-Release number of selected component (if applicable):
firstboot-1.2.4-1
Comment 1 Andriy Rozeluk 2003-11-18 13:44:29 EST
Count me in on this one. I did a "test upgrade" of one of my machines
from RedHat 9 to Fedora Core 1, and this proved to be highly annoying.

The upgrade, of course, did not prompt me for anything. What was
annoying was that the machine originally was set up to start at
runlevel 3, and the upgrade changed it without my permission.

Two suggestions:
1 - upgrade installers should preserve the system's current settings,
not change them without prompting me

2 - for fresh installs, return the choice back to the user
Comment 2 Brent Fox 2003-12-17 11:55:36 EST
Andriy: if the installer changed you from runlevel 3 to runlevel 5,
then that's an anaconda bug.  Please file a separate bug report for
this issue.
Comment 3 Brent Fox 2003-12-17 12:24:40 EST
J.J.: I have implemented a text-mode interface for firstboot in cvs. 
It  does not look identical to the GUI version of firstboot but
instead looks more like the 'setup' text utility.  Still, it should
allow you to do whatever you need to do in runlevel 3.  

This feature will appear in Fedora Core 2.

Note You need to log in before you can comment on or make changes to this bug.